<div>
    <h2 id="page-heading">
        <span jhiTranslate="icyTrainApp.trainStatione.home.title">Train Stationes</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-train-statione" [routerLink]="['/train-statione/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="icyTrainApp.trainStatione.home.createLabel">
            Create a new Train Statione
            </span>
        </button>
    </h2>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="trainStationes?.length === 0">
        <span jhiTranslate="icyTrainApp.trainStatione.home.notFound">No trainStationes found</span>
    </div>
    <div class="table-responsive" *ngIf="trainStationes?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="reset.bind(this)">
            <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="name"><span jhiTranslate="icyTrainApp.trainStatione.name">Name</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="location.id"><span jhiTranslate="icyTrainApp.trainStatione.location">Location</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"></th>
            </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
            <tr *ngFor="let trainStatione of trainStationes ;trackBy: trackId">
                <td><a [routerLink]="['/train-statione', trainStatione.id, 'view' ]">{{trainStatione.id}}</a></td>
                <td>{{trainStatione.name}}</td>
                <td>
                    <div *ngIf="trainStatione.location">
                        <a [routerLink]="['/location', trainStatione.location?.id, 'view' ]" >{{trainStatione.location?.id}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/train-statione', trainStatione.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/train-statione', trainStatione.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(trainStatione)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
